Bug 188666

Summary: Review Request: gucharmap
Product: [Fedora] Fedora Reporter: Matthias Clasen <mclasen>
Component: Package ReviewAssignee: David Cantrell <dcantrell>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-04-19 18:06:43 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 188268    

Description Matthias Clasen 2006-04-11 21:15:50 EDT
Spec URL: http://people.redhat.com/mclasen/review/gucharmap.spec
SRPM URL: http://people.redhat.com/mclasen/review/gucharmap-1.6.0-2.src.rpm
Description: This is part of the effort to split the current hard to maintain
multitarball gnome-utils packages into separate packages.
Comment 1 Jesse Keating 2006-04-13 15:47:31 EDT
Good:
- Builds w/ mock

Bad:
- no ldconfig in %posts
- unversioned library must go in -devel package
- Header files not in -devel package (not completely necessary)
- no %doc for README, NEWS, etc...
- .desktop file not installed properly via desktop-file-install
Comment 2 Matthias Clasen 2006-04-13 20:16:16 EDT
Do we really want to split this into three packages ?
 - the app
 - the library
 - the -devel 
It was my understanding that we sometimes don't bother 
to do that for small packages. 

But if it is the policy to always do these splits, then
I'm happy to do it.
Comment 3 Jeremy Katz 2006-04-13 20:24:45 EDT
Personally, I think it's overkill and that we probably will want to revisit that
policy as we start following the same thing everywhere.

This will become especially true when we want to use the existence of a -devel
subpackage to key that a package should be included as a multilib package.
Comment 4 Jesse Keating 2006-04-13 22:37:53 EDT
I agree w/ jeremy.  I can let this package go through w/out a -devel package. 
The other issues still apply.
Comment 6 Matthias Clasen 2006-04-17 15:53:28 EDT
New spec: http://people.redhat.com/mclasen/review/gucharmap.spec
http://people.redhat.com/mclasen/review/gucharmap-1.6.0-4.src.rpm

Jeremy convinced me to split off a -devel package...
Comment 7 Jesse Keating 2006-04-17 17:20:30 EDT
Still not using desktop-file-install to install the .desktop file in %install.
Comment 8 Jesse Keating 2006-04-17 17:43:34 EDT
Also review guidelines for desktop-database scriptlets
http://fedoraproject.org/wiki/ScriptletSnippets#head-d37d740d062d3aa6013aab44a79de88a6c1fe533

Requires(post) and Requires(postun) do need to be filled out.
Comment 9 Matthias Clasen 2006-04-18 00:18:10 EDT
Jesse, why should I consider ScripletSnippets to be part of the packaging
guidelines ? it is not even linked from there. 
Comment 10 Brian Pepple 2006-04-18 00:24:19 EDT
You can drop the BuildRequires for glib2-devel, since the gtk2-devel package
will pull this in.
Comment 11 Matthias Clasen 2006-04-18 08:19:06 EDT
Yet another version, adding more requires and also adding 
BuildRequires to make sure that the docs are being built.

New spec: http://people.redhat.com/mclasen/review/gucharmap.spec
http://people.redhat.com/mclasen/review/gucharmap-1.6.0-5.src.rpm
Comment 12 Jesse Keating 2006-04-18 10:23:54 EDT
Changes look good.

THe scripletsnippets is referential for now, as it is not linked.  That would
have to be approved by the board.  I mostly wanted you to be aware it was there
and take a look at what pertains to this package.  I see no show stoppers, but
at some point you might want to narrow down the scrollkeeper update call to a
specific dir, but not necessary for initial release.  Approving.
Comment 13 Brian Pepple 2006-04-18 11:02:46 EDT
Under the devel package don't you want to require gucharmap =
%{version}-%{release}, instead of just the %version?